package com.ltgk.common.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 应急管理模块-救援车辆信息-车辆类型枚举类
 *
 * @author Qi ChengBin
 * @date 2025/02/11
 */
@Getter
public enum EmRescueVehicleTypeEnums implements CodeDescEnumInterface {
    HELP_VEHICLE(0, "救护车"),
    FIRE_VEHICLE(1, "消防车");

    private final Integer code;
    private final String desc;

    EmRescueVehicleTypeEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
